### Method

# Clutter Actor get_allocation_box

#### Declaration [src]

    void
    clutter_actor_get_allocation_box (
      ClutterActor* self,
      ClutterActorBox* box
    )

#### Description [src]

Gets the layout box an actor has been assigned. The allocation can only be assumed valid inside a `paint()` method; anywhere else, it may be out-of-date.

An allocation does not incorporate the actor’s scale or translation; those transformations do not affect layout, only rendering.

Do not call any of the clutter_actor_get_allocation_*() family of functions inside the implementation of the `get_preferred_width()` or `get_preferred_height()` virtual functions.

#### Parameters

`box`

  Type: `ClutterActorBox`

  The function fills this in with the actor’s allocation.

  The argument will be set by the function.
  The returned data is owned by the instance.